summaryrefslogtreecommitdiffstats
path: root/network/wvdial
diff options
context:
space:
mode:
author Moritz Wilhelmy <moritz+slackware@wzff.de>2010-12-27 01:28:55 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2010-12-27 20:06:58 -0200
commit5e393451a02da9fdffca24010b390564a82a4b28 (patch)
tree54442e42234c91ef3e72dbca264568bf36a18db8 /network/wvdial
parentce9927e1f7f7f020f4a1ae4d227d4d5c06d371cd (diff)
downloadslackbuilds-5e393451a02da9fdffca24010b390564a82a4b28.tar.gz
slackbuilds-5e393451a02da9fdffca24010b390564a82a4b28.tar.xz
network/wvdial: Added (ppp dialer app)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/wvdial')
-rw-r--r--network/wvdial/README6
-rw-r--r--network/wvdial/doinst.sh17
-rw-r--r--network/wvdial/slack-desc19
-rw-r--r--network/wvdial/wvdial.SlackBuild80
-rw-r--r--network/wvdial/wvdial.conf20
-rw-r--r--network/wvdial/wvdial.info10
6 files changed, 152 insertions, 0 deletions
diff --git a/network/wvdial/README b/network/wvdial/README
new file mode 100644
index 0000000000..4bc526a56f
--- /dev/null
+++ b/network/wvdial/README
@@ -0,0 +1,6 @@
+WvDial is a program that makes it easy to connect your Linux workstation
+to the Internet via modem lines. It will automatically detect your modem, and it
+can log into almost any Internet provider's server without any special
+configuration.
+
+This requires wvstreams.
diff --git a/network/wvdial/doinst.sh b/network/wvdial/doinst.sh
new file mode 100644
index 0000000000..2a50656fa9
--- /dev/null
+++ b/network/wvdial/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/wvdial.conf.new
+config etc/ppp/peers/wvdial-pipe.new
+config etc/ppp/peers/wvdial.new
+
diff --git a/network/wvdial/slack-desc b/network/wvdial/slack-desc
new file mode 100644
index 0000000000..e2ff28633e
--- /dev/null
+++ b/network/wvdial/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wvdial: wvdial (ppp dialer app)
+wvdial:
+wvdial: wvdial is a program that makes it easy to connect your Linux
+wvdial: workstation to the Internet via modem lines.
+wvdial:
+wvdial: It will automatically detect your modem, and it can log into almost
+wvdial: any Internet provider's server without any special configuration.
+wvdial:
+wvdial: Homepage: http://alumnit.ca/wiki/index.php?page=WvDial
+wvdial:
+wvdial:
diff --git a/network/wvdial/wvdial.SlackBuild b/network/wvdial/wvdial.SlackBuild
new file mode 100644
index 0000000000..2c9d90fa9d
--- /dev/null
+++ b/network/wvdial/wvdial.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for wvdial
+
+# Previously maintained by Vincent Batts, vbatts@batts.mine.nu (Thank you!)
+# Currently maintained by Moritz Wilhelmy, moritz+slackware@wzff.de
+
+PRGNAM=wvdial
+VERSION=${VERSION:-1.61}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make prefix=$PKG/usr PPPDIR=$PKG/etc/ppp/peers MANDIR=$PKG/usr/man install
+
+cat $CWD/wvdial.conf > $PKG/etc/wvdial.conf.new
+mv $PKG/etc/ppp/peers/wvdial-pipe $PKG/etc/ppp/peers/wvdial-pipe.new
+mv $PKG/etc/ppp/peers/wvdial $PKG/etc/ppp/peers/wvdial.new
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES COPYING.LIB ChangeLog FAQ README TODO MENUS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/wvdial/wvdial.conf b/network/wvdial/wvdial.conf
new file mode 100644
index 0000000000..5ffaa7f0d9
--- /dev/null
+++ b/network/wvdial/wvdial.conf
@@ -0,0 +1,20 @@
+[Dialer Defaults]
+Modem = /dev/modem
+Baud = 57600
+Init1 = ATZ
+Init2 = ATQ0 V1 E1 S0=0 &C1 &D2
+Init3 =
+Area Code =
+Phone = 0
+Username =
+Password =
+Ask Password = 0
+Dial Command = ATDT
+Stupid Mode = 1
+Compuserve = 0
+Force Address =
+Idle Seconds = 300
+DialMessage1 =
+DialMessage2 =
+ISDN = 0
+Auto DNS = 1
diff --git a/network/wvdial/wvdial.info b/network/wvdial/wvdial.info
new file mode 100644
index 0000000000..5fb0366cd4
--- /dev/null
+++ b/network/wvdial/wvdial.info
@@ -0,0 +1,10 @@
+PRGNAM="wvdial"
+VERSION="1.61"
+HOMEPAGE="http://alumnit.ca/wiki/index.php?page=WvDial"
+DOWNLOAD="http://wvstreams.googlecode.com/files/wvdial-1.61.tar.gz"
+MD5SUM="acd3b2050c9b65fff2aecda6576ee7bc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Moritz Wilhelmy"
+EMAIL="moritz+slackware@wzff.de"
+APPROVED="rworkman"